import { type KeyFormatter } from './key-formatter.js';
export declare class Prefix {
    static readonly DEFAULT_PREFIX: string;
    private constructor();
    static add(key: string, prefix?: string, formatter?: KeyFormatter): string;
    static strip(key: string, prefix?: string, formatter?: KeyFormatter): string;
    static matcher(key: string, prefix?: string, formatter?: KeyFormatter): boolean;
}
